# eric4.VCS.vcsCVS.CvsTagDialog

Module implementing a dialog to enter the data for a tagging operation.

### Classes

CvsTagDialog | Class implementing a dialog to enter the data for a tagging operation.

### Functions

None

## CvsTagDialog

Class implementing a dialog to enter the data for a tagging operation.

### Derived from

QDialog, Ui_CvsTagDialog

### Methods

CvsTagDialog | Constructor
getParameters | Public method to retrieve the tag data.
on_tagCombo_editTextChanged | Private method used to enable/disable the OK-button.

#### CvsTagDialog (Constructor)

CvsTagDialog(taglist, parent = None)

Constructor

taglist
  list of previously entered tags (QStringList)
parent
  parent widget (QWidget)

#### CvsTagDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tuple of QString and int (tag, tag operation)

#### CvsTagDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(text)

Private method used to enable/disable the OK-button.

text
  ignored

Up